Filter Medical Services
/v1/services/filters/applyApply filters endpoint is used to filter Medical Services by filters
requested from the GET /v1/services/filters endpoint. The result of
the request is the filtered Medical Service list.
Not all service properties are supported in this view. See the
GET /v1/services/features/:countryCode endpoint to get information
about accessible Service properties.
Specialization values differ between countries. See the
POST /v1/services/filters/borderChange endpoint for details.
Authorization
BearerToken Authenticate with a JWT bearer token obtained from the token endpoint with your Client Id and API key.
In: header
Header Parameters
The expected language of the response.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
The filter values to apply on Medical Services. All the parameters
are optional, except location.
Response Body
application/json
curl -X POST "https://example.com/v1/services/filters/apply" \ -H "authorization: Bearer <token>" \ -H "language: en" \ -H "Content-Type: application/json" \ -d '{ "genders": [ "80e5d6f2-d486-45c7-8e3e-7e73e3dd0519" ], "location": { "latitude": 48.218323, "longitude": 16.32402 } }'{ "count": 2, "items": [ { "id": "002f31d5-7a5c-4076-ba36-9cfc35c7e106", "name": "Dr. Eva Muster", "type": "DOCTOR", "gender": "FEMALE", "phone": "019876543", "email": "[email protected]", "location": { "country": "AT", "zip": "1170", "city": "Wien", "address": "Beispielgasse 5", "province": "Wien", "latitude": 48.220512, "longitude": 16.329874 }, "specializations": [ { "id": "f44e9011-26e7-4480-b4de-f29234148f1f", "name": "Neurosurgery", "type": "DOCTOR" } ], "insurers": [], "openingHours": { "0": [], "1": [ { "start": "09:00", "finish": "13:00" } ], "2": [ { "start": "14:00", "finish": "20:00" } ], "3": [ { "start": "14:00", "finish": "20:00" } ], "4": [], "5": [], "6": [], "detailedData": { "type": "CLOSED_TODAY", "isOpen": false, "text": "Closed today" } }, "monogram": "EM" }, { "id": "e6d452f3-32c3-4738-a820-b3812b75583e", "name": "Dr. Anna Beispiel", "type": "DOCTOR", "gender": "FEMALE", "phone": "011234567", "email": "[email protected]", "location": { "country": "AT", "zip": "1170", "city": "Wien", "address": "Musterstraße 1", "province": "Wien", "latitude": 48.219104, "longitude": 16.326217 }, "specializations": [ { "id": "a7c31b02-88d4-4f2e-9c65-3d1e0b7a54c9", "name": "Dentist", "type": "DOCTOR" } ], "insurers": [], "openingHours": { "0": [ { "start": "09:00", "finish": "18:00" } ], "1": [ { "start": "08:00", "finish": "20:00" } ], "2": [ { "start": "10:00", "finish": "18:00" } ], "3": [], "4": [ { "start": "08:00", "finish": "15:00" } ], "5": [], "6": [], "detailedData": { "type": "CLOSES_SOON", "isOpen": true, "text": "Closes soon at 15:00", "timeData": { "time": "2022-09-02T13:00:00.000Z" } } }, "monogram": "AB" } ], "serviceDetailState": { "isAllFeaturesAvailable": true }}Last updated on